<?php
/**************************************************
*  Created:  2010-07-08
*
*  Xweibo卸载程序
*
*  @Xweibo (C)1996-2099 SINA Inc.
*  @Author heli1 <heli1@staff.sina.com.cn>
*
***************************************************/

@ini_set('display_errors', 1);
error_reporting(E_ALL ^ E_NOTICE); 
@ini_set('magic_quotes_runtime', 'Off');
define('XWEIBO_ACCESS', true);

define('ROOT_PATH', dirname(__FILE__).'/../');

define('XWEIBO_DB_PREFIX', 'xwb_');
define('XWEIBO_CHARSET','utf-8');
define('XWEIBO_DB_CHARSET','utf8');

include_once ROOT_PATH.'/install/libs/func.php';

//类型，卸载
$type = 'uninstall';
$install_lang = 'zh_cn';
include_once ROOT_PATH.'/install/lang/'.$install_lang.'.php';

//判断是否已经安装了
if (!file_exists(ROOT_PATH.'/var/data/install.lock')) {
	show_msg($_LANG['xweibo_not_installed'], './');
}

$method = empty($_GET['method']) ? '' : $_GET['method'];
$backup = empty($_GET['backup']) ? '' : $_GET['backup'];

if ($method == 'uninstall') {
	uninstall($backup);
}

include_once 'templates/uninstall.php';
?>
